#ifndef __KBD_H__
#define __KBD_H__

#include "cui.h"

typedef struct cui_kbd{
	struct cui_base base;
	int v[128];
	int play_mode;
	int cursor;
	cui sheet;

	cui scl, sc_sheet;
	cui oct, name, note_no, freq;
} *cui_kbd;

cui cui_kbd_new(cui parent, int x, int y, int w);
void cui_kbd_init(cui obj, cui parent, int x, int y, int w);
int cui_kbd_hdr(cui obj, int evt, int val, void *prm);
void cui_kbd_set(cui obj, int note, int v);
void cui_kbd_cursor_set(cui obj, int note);
int cui_kbd_cursor_get(cui obj);

#endif
