#ifndef __NUM_H__
#define __NUM_H__

#include "cui.h"

typedef struct cui_num{
	struct cui_base base;
	cui fb_dec, etx, fb_inc, fb_bar;
	cui bs_bar, bar, fb_x;
	int v, min_v, max_v, *vp;
	int sc_max;

	int use_dbl;
	double dv, min_dv, max_dv, *dvp;
	int ddiv;

} *cui_num;

cui cui_num_new(cui parent, int x, int y, int w, int init_v, int min_v, int max_v, int bar_h);
void cui_num_init(cui obj, cui parent, int x, int y, int w, int init_v, int min_v, int max_v, int bar_h);
int cui_num_hdr(cui obj, int evt, int val, void *prm);

int cui_num_get(cui obj);
void cui_num_set(cui obj, int v);
void cui_num_vp_set(cui obj, int *vp);
void cui_num_min_max_set(cui obj, int min_v, int max_v);


/* for use_dbl */

cui cui_num_dbl_new(cui parent, int x, int y, int w, double init_dv, double min_dv, double max_dv, double step_dv, int bar_h);
void cui_num_dbl_init(cui obj, cui parent, int x, int y, int w, double init_dv, double min_dv, double max_dv, double step_dv, int bar_h);

double cui_num_dbl_get(cui obj);
void cui_num_dbl_set(cui obj, double dv);
void cui_num_dbl_vp_set(cui obj, double *dvp);
void cui_num_dvp_set(cui obj, double *dvp);
void cui_num_dbl_min_max_set(cui obj, double min_dv, double max_dv, double step_dv);

#endif
