#ifndef __TAB_H__
#define __TAB_H__

#include "radio.h"

typedef struct cui_tab_btn{
	struct cui_radio radio;
	cui lb1, lb2, lb3;
	cui sheet;
} *cui_tab_btn;

typedef struct cui_tab{
	struct cui_base base;
	cui scl;
} *cui_tab;

cui cui_tab_btn_new(cui parent, int x, int y, char *s, int v, cui sheet);
void cui_tab_btn_init(cui obj, cui parent, int x, int y, char *s, int v, cui sheet);
int cui_tab_btn_hdr(cui obj, int evt, int val, void *prm);
int cui_tab_btn_val_get(cui obj);
void cui_tab_btn_val_set(cui obj, int v);
cui cui_tab_btn_sheet_get(cui obj);
void cui_tab_btn_sheet_set(cui obj, cui sheet);

cui cui_tab_new(cui parent, int x, int y, int w, char **lst, cui *sheets, int v);
void cui_tab_init(cui obj, cui parent, int x, int y, int w, char **lst, cui *sheets, int v);
void cui_tab_add(cui obj, char *s, cui sheet, int v);
void cui_tab_del(cui obj, cui sheet);

cui cui_tab_get(cui obj);
void cui_tab_set(cui obj, cui sheet);

cui cui_tab_scline(cui obj);
cui cui_tab_parent(cui obj);
int cui_tab_n_get(cui obj);
char *cui_tab_str_get(cui obj);

#endif
