#ifndef __SC_LINE_H__
#define __SC_LINE_H__

#include "cui.h"

typedef struct cui_scline{
	struct cui_base base;
	cui view, sheet;
	cui dec, inc;
	
	int (*step_cb)(int sign, void *); /* sign : dec=-1 , inc=1 */
	void *step_prm;
} *cui_scline;

cui cui_scline_new(cui parent, int x, int y, int w);
void cui_scline_init(cui obj, cui parent, int x, int y, int w);
int cui_scline_hdr(cui obj, int evt, int val, void *prm);

cui cui_scline_view_get(cui obj);
void cui_scline_sheet_set(cui obj, cui sheet);
cui cui_scline_sheet_get(cui obj);

void cui_scline_step_set(cui obj, int (*step_cb)(int, void *), void *step_prm);

#endif
